import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:navigationbaato/library.dart';

void main() {
  const MethodChannel channel = MethodChannel('navigationbaato');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    Navigationbaato directions = Navigationbaato();
    expect(await directions, '42');
  });
}
